Search the Community
Showing results for tags 'box'.
-
Text box that will increase or decrease in length with text
JamFam posted a topic in AutoCAD Drawing Management & Output
I want to be able to create a dynamic block that I can insert into my architectural drawings. This block will contain text with a box around it. The box will lengthen or shrink depending upon the length of text. Better still, regardless of the text size, the text box will automatically resize depending upon the amount of text AND the size of font. Thanks -
Center Text in Box - From ENTSEL to SSGET?
ILoveMadoka posted a topic in AutoLISP, Visual LISP & DCL
I found this code on the web somewhere and it works great for a single line of text. I would like to be able to select multiple lines of text and have it do the same. To center several lines of text in an existing rectangle. I am hoping someone already has code to do this rather than hoping someone would code it for me. I am clueless on how to do this.. Many times what I encounter is multiple lines of individual text items. So it may be TEXT or it may be MTEXT. Here is the existing code which works great for a single line of text: ; PLACE TEXT AT THE CENTER OF A BOX OR A CIRCLE, ; IRRESPECTIVE OF TEXT'S INS.PT ; By G. Ramesh, NPCC, Abu Dhabi. (defun c:CTT(/ e el p1 p2 mid tb sp ll ur mid1 dis) (Princ "\nCenter Text in Box. ") (setvar "cmdecho" 0) (setq e (car(entsel "\nPick the text: ")) el (entget e)) (initget "Window Circle") (setq opt (getkword "\nTo be enclosed within a Window/Circle <W>: ")) (if (or (not opt) (= opt "WINDOW")) (setq p1 (getpoint "\nFirst corner of the enclosing box: ") p2 (getcorner p1 "\nOther corner: ") mid (polar p1 (angle p1 p2) (/ (distance p1 p2) 2)) ) (setq mid (cdr(assoc 10 (entget(car(entsel "\nSelect a CIRCLE: ")))))) ) (setq tb (textbox el) sp (cdr(assoc 10 el)) ll (mapcar '+ (car tb) sp) ur (mapcar '+ ll (mapcar '- (cadr tb) (car tb))) mid1 (polar ll (angle ll ur) (/ (distance ll ur) 2.0)) dis (mapcar '- mid mid1) ) (command ".move" e "" dis "") (prin1) ) Apologies for the formatting being all wonky, it was like that... Thanks much!- 26 replies
-
- box
- center text in box
-
(and 2 more)
Tagged with:
-
When I select some entities and send them to a layer that is off, frozen or both, I get an alert box that says "One or more objects has been moved to a frozen or turned off layer." That only happens when I send them off using the properties dialog box, when I send them off using the layers pulldown in the ribbon menu, I don't get this alert box. I prefer the second method only when I have a dwg with xrefs, because it won't list the huge list of xrefs, but I prefer the properties box because it does a lot more, but that alert box is annoying, can it be turned off? I'm using 2011 and am wondering if they have or will make the layers pulldown in the properties box filter out xref layers? Thanks! R.L. Hamm
-
Hi this is my first autocad 3d project so forgive me if I am not using the right terminology. So I need to create a boxed shape cover for an instrument that we have. So I drew the base in 2d then used the extrude command to build the box, after that I used the shell commands to empty it, now I am stuck at trying to remove the bottom of the box. Can someone help please?
- 2 replies
-
- help wanted
- box
-
(and 1 more)
Tagged with:
-
hey guys, I have little problem. I'm trying to draw ventilation in 3D ,and I have reached a point where two air ducts with different sizes must connect to each other,so basically I need to draw a reduction from 1000/200mm to 700/300mm. I tryed to draw it manually via lines and then to make a block of it, and it's working ,but when I use the HIDE command I still can see trough it. Any ideas?
-
Hi All, i was wonddering if someone had a lisp routine that drew an LWPolyline inside of 4 line box by picking the interior of the box? I've include an example. Thanks, Brian